> For the complete documentation index, see [llms.txt](https://docs.aviowiki.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aviowiki.com/conventions/pagination.md).

# Pagination

Many endpoints in aviowiki return a large list of results. To facilitate navigation through these, as well as providing a mechanism for lazy loading, such endpoints return a Paged List.

Paged Lists divide the results into pages. Each page has a `number`, which is its index starting from `0`, and a certain `size`, which is the number of results in that page.

To simplify calculations and evaluation of Paged Lists, the `totalPages` and `totalResults` properties are also provided. Respectively they indicate how many pages in total exist and how many results are available.

It is worth noting that the `number` of the last page is always equal to `totalPage - 1`. This is because `number` starts counting from `0`.

The list of results in a Paged List is contained in the property `content`.

### Example

```
{
  "page": {
    "number": 0,
    "size": 10,
    "totalPages": 3,
    "totalResults": 26
  },
  "content": [...]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aviowiki.com/conventions/pagination.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
